OGRE-Next: Ogre::CreateHighLevelGpuProgramScriptCompilerEvent Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Ogre::CreateHighLevelGpuProgramScriptCompilerEvent Class Reference
Core » General

`#include <OgreScriptCompiler.h>`

Inheritance diagram for Ogre::CreateHighLevelGpuProgramScriptCompilerEvent:
[legend]

## Public Member Functions
| CreateHighLevelGpuProgramScriptCompilerEvent (const String &file, const String &name, const String &resourceGroup, const String &source, const String &language, GpuProgramType programType)
Public Member Functions inherited from Ogre::ScriptCompilerEvent
| ScriptCompilerEvent (const String &type)
virtual | ~ScriptCompilerEvent ()

## Public Attributes
String | mFile
String | mLanguage
String | mName
GpuProgramType | mProgramType
String | mResourceGroup
String | mSource
Public Attributes inherited from Ogre::ScriptCompilerEvent
String | mType

## Static Public Attributes
static String | eventType

## Constructor & Destructor Documentation

## ◆ CreateHighLevelGpuProgramScriptCompilerEvent()

Ogre::CreateHighLevelGpuProgramScriptCompilerEvent::CreateHighLevelGpuProgramScriptCompilerEvent | ( | const String & | file,
|  | const String & | name,
|  | const String & | resourceGroup,
|  | const String & | source,
|  | const String & | language,
|  | GpuProgramType | programType )
| inline

References Ogre::ScriptCompilerEvent::ScriptCompilerEvent(), eventType, mFile, mLanguage, mName, mProgramType, mResourceGroup, and mSource.

## Member Data Documentation

## ◆ eventType

String Ogre::CreateHighLevelGpuProgramScriptCompilerEvent::eventType
| static

Referenced by CreateHighLevelGpuProgramScriptCompilerEvent().

## ◆ mFile

String Ogre::CreateHighLevelGpuProgramScriptCompilerEvent::mFile

Referenced by CreateHighLevelGpuProgramScriptCompilerEvent().

## ◆ mLanguage

String Ogre::CreateHighLevelGpuProgramScriptCompilerEvent::mLanguage

Referenced by CreateHighLevelGpuProgramScriptCompilerEvent().

## ◆ mName

String Ogre::CreateHighLevelGpuProgramScriptCompilerEvent::mName

Referenced by CreateHighLevelGpuProgramScriptCompilerEvent().

## ◆ mProgramType

GpuProgramType Ogre::CreateHighLevelGpuProgramScriptCompilerEvent::mProgramType

Referenced by CreateHighLevelGpuProgramScriptCompilerEvent().

## ◆ mResourceGroup

String Ogre::CreateHighLevelGpuProgramScriptCompilerEvent::mResourceGroup

Referenced by CreateHighLevelGpuProgramScriptCompilerEvent().

## ◆ mSource

String Ogre::CreateHighLevelGpuProgramScriptCompilerEvent::mSource

Referenced by CreateHighLevelGpuProgramScriptCompilerEvent().

The documentation for this class was generated from the following file:

- OgreScriptCompiler.h